Subject: Re: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Feb 2021 17:31:46 +0200

> From: Pip Cet <[email-masked]>
> Date: Thu, 25 Feb 2021 15:14:52 +0000
> Cc: Andrea Corallo <[email-masked]>, [email-masked], [email-masked]
> 
> > Andrea's work is
> > still mainly devoted to fixing issues reported against the native-comp
> > code.  Polishing the documentation will come later.  So please don't
> > expect the documentation to be anywhere near perfect, as we all are
> > used to expect from mainline Emacs code, and please don't blame Andrea
> > for not providing such quality of documentation at this point in time.
> 
> Again, you're absolutely correct. In the specific cases I mentioned,
> my main concern is that other hackers will find it too frustrating to
> encounter subtle restrictions that sometimes, incorrectly, feel like
> pitfalls and look like bugs.

Any improvements to the documentation on the branch are of course very
welcome, regardless of the fact that it's still WIP.